## tcpserversrc tcpserversrc |

## Properties

gint | current-port | Read
gchar * | host | Read / Write
gint | port | Read / Write

## Types and Values

struct | GstTCPServerSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstTCPServerSrc

## Description

#### Example launch line

    1

### server:

gst-launch-1.0 tcpserversrc port=3000 ! fdsink fd=2

### client:

gst-launch-1.0 fdsrc fd=1 ! tcpclientsink port=3000 ]|

## Synopsis

### Element Information

plugin | tcp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | Source/Network

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstTCPServerSrc

    struct GstTCPServerSrc;

## Property Details

### The `“current-port”` property

      “current-port”             gint

The port number the socket is currently bound to. Applications can use this property to retrieve the port number actually bound to in case the port requested was 0 (=allocate a random available port).

Flags: Read

Allowed values: [0,65535]

Default value: 0

Since: 1.0.2

### The `“host”` property

      “host”                     gchar *

The hostname to listen as.

Flags: Read / Write

Default value: NULL

### The `“port”` property

      “port”                     gint

The port to listen to (0=random available port).

Flags: Read / Write

Allowed values: [0,65535]

Default value: 4953

## See Also

tcpserversink